

fname = input('Input filename');
x = dlmread(fname,",",2,0);
time = x(:,1);
dispZ = x(:,2);
velyZ = x(:,3);

figure(1);
plot(time,dispZ);
title('thea vs. time');
xlabel('time');
ylabel('dispZ');

figure(2)
plot(dispZ,velyZ);
title('phase plane');
xlabel('dispZ');
ylabel('velyZ');

figure(3)
T = t(length(t))
N = length(x(:,2));

xx = fft(x(:,2));

f=[0:1/(T):(N-1)/(T)]';

figure(3);
plot(f,abs(xx));
axis([0,2,0,0.8*max(abs(xx))]);
title('Spectral plot');
xlabel('frequency (Hz) ');
ylabel('strength of frequency');
