% =============================================================================
%
% rhs_NL_DDHO
%
% 
%
% =============================================================================


function dydt=rhs_NL_DDHO(t,y)

global alpha beta gamma omega0squ omegaDrive

dydt = zeros(2,1);

dydt(1) = y(2);
%dydt(2) = -(alpha*omega0squ)*y(1) - 2*beta*y(2) + (omega0squ/6)*y(1)*y(1)*y(1) + ...
%            gamma*omega0squ*cos(omegaDrive*t);

dydt(2) =  -2*beta*y(2) - omega0squ*sin(y(1)) + ...
            gamma*omega0squ*cos(omegaDrive*t);