% =============================================================================
%
% rhs_NL_Monster
%
% CBP 01-01-21 rhs for ydotdot = -y * epsy^3
%
% =============================================================================


function dydt=rhs_NL_Monster(t,y)

global eps

dydt = zeros(2,1);

dydt(1) = y(2);
dydt(2) = -y(1) + eps*y(1)*y(1)*y(1);
