% =============================================================================
%
% rhs_NL_Duffing
%
% 
%
% =============================================================================


function dydt=rhs_NL_Duffing(t,y)

global alpha beta gamma omegaDrive Force

dydt = zeros(2,1);

dydt(1) = y(2);
dydt(2) = -alpha*y(1) - beta*y(2) + gamma*y(1)*y(1)*y(1) + ...
            Force*cos(omegaDrive*t);

