% =============================================================================
%
% solve_NL_Duffing
%
%
% =============================================================================

global alpha beta gamma omegaDrive Force

tstart = 0;
tend = input('Input end time');


% parameters ------------------------------------

alpha = 0.0
beta = input('Input Uedas k ');
gamma = -1.0;

Force = input('Input Uedas B ');
omegaDrive = 1.0;

x0 = input('Input x0 ');
xinit = [x0,0.0];

options = odeset('RelTol',1e-6,'AbsTol',1e-6,'InitialStep',tend/1e4,'MaxStep',tend/1e4);

[t,y] = ode45(@rhs_NL_Duffing,[tstart,tend],xinit,options);


figure(1);
plot(y(:,1),y(:,2),'-');

figure(2);
plot(t,y(:,1));

T = t(length(t))
N = length(y(:,2));

yy = fft(y(:,2));

f=[0:1/(T):(N-1)/(T)]';

figure(3);
plot(f,abs(yy));

